"""
Local Deep Research - AI-powered research assistant

A powerful AI research system with iterative analysis capabilities
and multiple search engines integration.
"""

__version__ = "0.1.0"

# Initialize configuration on module import
from .utilties.setup_utils import setup_user_directories

# Import main components
from .search_system import AdvancedSearchSystem
from .report_generator import IntegratedReportGenerator
from .config import get_llm, get_search

# Import API functions
from .api import quick_summary, generate_report, analyze_documents
from .api import get_available_search_engines, get_available_collections

# Export it
__all__ = [
    "AdvancedSearchSystem", 
    "IntegratedReportGenerator",
    "get_llm",
    "get_search",
    "quick_summary",
    "generate_report",
    "analyze_documents",
    "get_available_search_engines",
    "get_available_collections"
]